Skip to main content
PUT
/
{alias}
/
catalog
/
filters
/
{id}
Atualizar filtro
curl --request PUT \
  --url https://api.dooki.com.br/v2/{alias}/catalog/filters/{id} \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "name": "Tamanho",
  "values": [
    {
      "name": "P",
      "color": "#32706F9",
      "image_url": "https://example.com/image.jpg"
    }
  ]
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/catalog/filters/{id}"

payload = {
    "name": "Tamanho",
    "values": [
        {
            "name": "P",
            "color": "#32706F9",
            "image_url": "https://example.com/image.jpg"
        }
    ]
}
headers = {
    "User-Token": "<api-key>",
    "User-Secret-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {
    'User-Token': '<api-key>',
    'User-Secret-Key': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    name: 'Tamanho',
    values: [{name: 'P', color: '#32706F9', image_url: 'https://example.com/image.jpg'}]
  })
};

fetch('https://api.dooki.com.br/v2/{alias}/catalog/filters/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 123,
  "name": "Tamanho",
  "searchable": true,
  "navigation": true
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

id
integer
required

ID do filtro

Body

application/json

Dados para criação ou atualização de um filtro de produtos

name
string
required

Nome do filtro. Esse valor deve ser único.

Example:

"Tamanho"

values
object[]

Opções de filtro

Response

Filtro atualizado com sucesso

id
integer
read-only
name
string

Nome do filtro

Example:

"Tamanho"

searchable
boolean
read-only

Indica se o filtro é pesquisável

navigation
boolean
read-only

Indica se o filtro é utilizado na navegação